- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs/list#body.ListLicenseConfigsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs/list#body.aspect_1)

Lists all the `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs#LicenseConfig`s associated with the project.

### HTTP request

Choose an endpoint:
global us   
`GET https://discoveryengine.googleapis.com/v1beta/{parent=projects/*/locations/*}/licenseConfigs`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent branch resource name, such as `projects/{project}/locations/{location}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Not supported. |
| `pageToken` | `string` Optional. Not supported. |
| `filter` | `string` Optional. The filter to apply to the list results. The supported fields are: - `subscriptionTier` - `state` Examples: - `subscriptionTier=SUBSCRIPTION_TIER_SEARCH,state=ACTIVE` - Lists all active search license configs. - `state=ACTIVE` - Lists all active license configs. The filter string should be a comma-separated list of field=value pairs. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs/list#google.cloud.discoveryengine.v1beta.LicenseConfigService.ListLicenseConfigs` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "licenseConfigs": [ { object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs#LicenseConfig`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `licenseConfigs[]` | ``object (`https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs#LicenseConfig`)`` All the customer's `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.licenseConfigs#LicenseConfig`s. |
| `nextPageToken` | `string` Not supported. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `discoveryengine.licenseConfigs.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).